searchNodes=[{"doc":"CqrsTools is a set of macros to let you focus on your core business and make CQRS applications easier to manage. Commands Creates commands with validation, dispatch logic, and more. Events Creates events...easily Queries Define queries with filters, validation, execution, and more. Bounded Contexts Creates proxy functions for commands and events . Absinthe Macros Macros to derive queries and mutations from Queries and Commands , respectfully. Absinthe Relay Macros Macros for Absinthe.Relay","ref":"Cqrs.html","title":"Cqrs","type":"module"},{"doc":"Macros to derive queries and mutations from Queries and Commands , respectfully. Configuration :context_metadata_keys - A list of the keys in the Absinthe.Resolution context to pass to queries and mutations as metadata :type_mappings - A list of mappings from ecto types to absinthe types. config :cqrs_tools, :absinthe, context_metadata_keys: [], type_mappings: [map: :json] Example defmodule ExampleApi.Types.UserTypes do @moduledoc false use Cqrs.Absinthe use Absinthe.Schema.Notation alias Example.Queries . { ListUsers , GetUser } alias Example.Users.Protocol . { CreateUser , SuspendUser , ReinstateUser } import ExampleApi.Resolvers.UserResolver derive_enum :user_status , { ListUsers , :status } object :user do field :id , :id field :name , :string field :email , :string field :status , :user_status derive_query GetUserFriends , list_of ( :user ) , as : :friends , parent_mappings : [ user_id : &amp; &amp;1 . id ] end object :user_queries do derive_query GetUser , :user , as : :user , except : [ :name ] derive_query ListUsers , list_of ( :user ) , as : :users , arg_types : [ status : :user_status ] end derive_mutation_input CreateUser object :user_mutations do derive_mutation CreateUser , :user , input_object? : true , then : &amp; fetch_user / 1 derive_mutation SuspendUser , :user , then : &amp; fetch_user / 1 derive_mutation ReinstateUser , :user , then : &amp; fetch_user / 1 end end","ref":"Cqrs.Absinthe.html","title":"Cqrs.Absinthe","type":"module"},{"doc":"Defines an Absinthe Enum from a Command , Domain Event , or Ecto Schema .","ref":"Cqrs.Absinthe.html#derive_enum/2","title":"Cqrs.Absinthe.derive_enum/2","type":"macro"},{"doc":"Defines an Absinthe mutation for a Command . Options :as - The name to use for the mutation. Defaults to the query_module name snake_cased. :then - A function/1 that accepts the result of the command execution. The function should return the standard Absinthe {:ok, response} or {:error, error} tuple. :input_object? - true | false . Defaults to false If true , one arg with the name of :input will be generated. If true , an input_object for the Command is expected to exist. See derive_mutation_input/2 . :before_resolve - Absinthe Middleware to run before the resolver. :after_resolve - Absinthe Middleware to run after the resolver. :parent_mappings - A keyword list of command fields to functions that receive the field's parent object as an argument. :field_transforms - A keyword list of command fields to functions that receive the field's current value as an argument.","ref":"Cqrs.Absinthe.html#derive_mutation/3","title":"Cqrs.Absinthe.derive_mutation/3","type":"macro"},{"doc":"Defines an Absinthe input_object for a Command . Options :as - The name to use for the query. Defaults to the command_module name snake_cased with _input appended.","ref":"Cqrs.Absinthe.html#derive_mutation_input/2","title":"Cqrs.Absinthe.derive_mutation_input/2","type":"macro"},{"doc":"Defines an Absinthe query from a Query . Options :as - The name to use for the query. Defaults to the query_module name snake_cased. :only - Use only the filters listed :except - Create filters for all except those listed :before_resolve - Absinthe Middleware to run before the resolver. :after_resolve - Absinthe Middleware to run after the resolver. :parent_mappings - A keyword list of query filters to functions that receive the field's parent object as an argument. :filter_transforms - A keyword list of query filters to functions that receive the filter's current value as an argument.","ref":"Cqrs.Absinthe.html#derive_query/3","title":"Cqrs.Absinthe.derive_query/3","type":"macro"},{"doc":"","ref":"Cqrs.Absinthe.html#ensure_is_schema!/1","title":"Cqrs.Absinthe.ensure_is_schema!/1","type":"function"},{"doc":"Macros for Absinthe.Relay Optinal Application Configuration config :cqrs_tools , :absinthe_relay , repo : Example.Repo","ref":"Cqrs.Absinthe.Relay.html","title":"Cqrs.Absinthe.Relay","type":"module"},{"doc":"Creates an Absinthe.Relay.Connection query from a Command . Options :repo - The Ecto.Repo to use for the connection. Defaults to the configured repo in :cqrs_tools, :absinthe_relay . :repo_fun - The function of the :repo to run. Defaults to :all :as - The name to use for the query. Defaults to the query_module name snake_cased. :only - Use only the filters listed :except - Create filters for all except those listed :arg_types - A list of filter names to absinthe types. See example. :before_resolve - Absinthe Middleware to run before the resolver. :after_resolve - Absinthe Middleware to run after the resolver. :parent_mappings - A keyword list of query filters to functions that receive the field's parent object as an argument. :filter_transforms - A keyword list of query filters to functions that receive the filter's current value as an argument. Example defmodule ExampleApi.Types.UserTypes do @moduledoc false use Cqrs.Absinthe.Relay use Absinthe.Schema.Notation use Absinthe.Relay.Schema.Notation , :modern alias Example.Queries.ListUsers enum :user_status do value :active value :suspended end object :user do field :id , :id field :name , :string field :email , :string field :status , :user_status derive_connection GetUserFriends , :user , as : :friends , repo : Example.Repo , parent_mappings : [ user_id : fn %{ id : id } -&gt; id end ] end connection ( node_type : :user ) object :user_queries do derive_connection ListUsers , :user , as : :users , repo : Example.Repo , arg_types : [ status : :user_status ] end end","ref":"Cqrs.Absinthe.Relay.html#derive_connection/3","title":"Cqrs.Absinthe.Relay.derive_connection/3","type":"macro"},{"doc":"Macros to create proxy functions to commands and queries in a module. Examples defmodule Users do use Cqrs.BoundedContext command CreateUser command CreateUser , as : :create_user2 query GetUser query GetUser , as : :get_user2 end Commands iex&gt; { :error , { :invalid_command , errors } } = Users . create_user ( name : &quot;chris&quot; , email : &quot;wrong&quot; ) ...&gt; errors %{ email : [ &quot;has invalid format&quot; ] } iex&gt; { :error , { :invalid_command , errors } } = Users . create_user2 ( name : &quot;chris&quot; , email : &quot;wrong&quot; ) ...&gt; errors %{ email : [ &quot;has invalid format&quot; ] } iex&gt; Users . create_user ( name : &quot;chris&quot; , email : &quot;chris@example.com&quot; ) { :ok , :dispatched } iex&gt; Users . create_user2 ( name : &quot;chris&quot; , email : &quot;chris@example.com&quot; ) { :ok , :dispatched } Queries iex&gt; Users . get_user! ( email : &quot;wrong&quot; ) ** (Cqrs.QueryError) email has invalid format iex&gt; { :error , errors } = Users . get_user2 ( %{ bad : &quot;data&quot; } ) ...&gt; errors %{ email : [ &quot;can&#39;t be blank&quot; ] } iex&gt; { :error , errors } = Users . get_user ( email : &quot;wrong&quot; ) ...&gt; errors %{ email : [ &quot;has invalid format&quot; ] } iex&gt; { :ok , query } = Users . get_user_query ( email : &quot;chris@example.com&quot; ) ...&gt; query # Ecto.Query &lt; from u0 in User , where : u0 . email == ^ &quot;chris@example.com&quot; &gt; iex&gt; { :ok , user } = Users . get_user ( email : &quot;chris@example.com&quot; ) ...&gt; %{ id : user . id , email : user . email } %{ id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; , email : &quot;chris@example.com&quot; }","ref":"Cqrs.BoundedContext.html","title":"Cqrs.BoundedContext","type":"module"},{"doc":"Creates proxy functions to dispatch this command module. Functions created When given CreateUser create_user!/0 create_user!/1 create_user!/2 create_user/0 create_user/1 create_user/2 Options :then - A function of one arity to run with the execution result.","ref":"Cqrs.BoundedContext.html#command/2","title":"Cqrs.BoundedContext.command/2","type":"macro"},{"doc":"Creates proxy functions to create and execute the give query. Functions created When given ListUsers list_users!/0 list_users!/1 list_users!/2 list_users/0 list_users/1 list_users/2 list_users_query!/0 list_users_query!/1 list_users_query!/2 list_users_query/0 list_users_query/1 list_users_query/2","ref":"Cqrs.BoundedContext.html#query/2","title":"Cqrs.BoundedContext.query/2","type":"macro"},{"doc":"The Command macro allows you to define a command that encapsulates a struct definition, data validation, dependency validation, and dispatching of the command. Options require_all_fields (:boolean) - If true , all fields will be required. Defaults to true dispatcher (:atom) - A module that defines a dispatch/2 . default_event_values (:boolean) - If true , events created using derive_event/1 or derive_event/2 , will inherit default values from their command fields. Defaults to true . Examples defmodule CreateUser do use Cqrs.Command field :email , :string field :name , :string internal_field :id , :binary_id @impl true def handle_validate ( command , _opts ) do Ecto.Changeset . validate_format ( command , :email , ~r/@/ ) end @impl true def after_validate ( %{ email : email } = command ) do Map . put ( command , :id , UUID . uuid5 ( :oid , email ) ) end @impl true def handle_dispatch ( _command , _opts ) do { :ok , :dispatched } end end Creation iex&gt; { :error , errors } = CreateUser . new ( ) ...&gt; errors %{ email : [ &quot;can&#39;t be blank&quot; ] , name : [ &quot;can&#39;t be blank&quot; ] } iex&gt; { :ok , % CreateUser { email : email , name : name , id : id } } = CreateUser . new ( email : &quot;chris@example.com&quot; , name : &quot;chris&quot; ) ...&gt; %{ email : email , name : name , id : id } %{ email : &quot;chris@example.com&quot; , id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; , name : &quot;chris&quot; } iex&gt; % CreateUser { id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; } = CreateUser . new! ( email : &quot;chris@example.com&quot; , name : &quot;chris&quot; ) Dispatching iex&gt; { :error , { :invalid_command , errors } } = ...&gt; CreateUser . new ( name : &quot;chris&quot; , email : &quot;wrong&quot; ) ...&gt; |&gt; CreateUser . dispatch ( ) ...&gt; errors %{ email : [ &quot;has invalid format&quot; ] } iex&gt; CreateUser . new ( name : &quot;chris&quot; , email : &quot;chris@example.com&quot; ) ...&gt; |&gt; CreateUser . dispatch ( ) { :ok , :dispatched } Event derivation You can derive events directly from a command. see derive_event/2 defmodule DeactivateUser do use Cqrs.Command field :id , :binary_id derive_event UserDeactivated end Usage with Commanded defmodule Commanded.Application do use Commanded.Application , otp_app : :my_app , default_dispatch_opts : [ consistency : :strong , returning : :execution_result ] , event_store : [ adapter : Commanded.EventStore.Adapters.EventStore , event_store : MyApp.EventStore ] end defmodule DeactivateUser do use Cqrs.Command , dispatcher : Commanded.Application field :id , :binary_id derive_event UserDeactivated end iex&gt; { :ok , event } = DeactivateUser . new ( id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; ) ...&gt; |&gt; DeactivateUser . dispatch ( ) ...&gt; %{ id : event . id , version : event . version } %{ id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; , version : 1 }","ref":"Cqrs.Command.html","title":"Cqrs.Command","type":"behaviour"},{"doc":"Allows one to modify the fully validated command. The changes to the command are validated again after this callback. This callback is optional. Invoked after the handle_validate/2 callback is called.","ref":"Cqrs.Command.html#c:after_validate/1","title":"Cqrs.Command.after_validate/1","type":"callback"},{"doc":"This callback is intended to be used as a last chance to do any validation that performs IO. This callback is optional. Invoked before handle_dispatch/2 .","ref":"Cqrs.Command.html#c:before_dispatch/2","title":"Cqrs.Command.before_dispatch/2","type":"callback"},{"doc":"Allows one to modify the incoming attrs before they are validated. This callback is optional. Invoked before the handle_validate/2 callback is called.","ref":"Cqrs.Command.html#c:before_validate/1","title":"Cqrs.Command.before_validate/1","type":"callback"},{"doc":"Generates an event based on the fields defined in the command . Accepts all the options that DomainEvent accepts.","ref":"Cqrs.Command.html#derive_event/2","title":"Cqrs.Command.derive_event/2","type":"macro"},{"doc":"Defines a command field. :name - any atom :type - any valid Ecto Schema type :opts - any valid Ecto Schema field options. Plus: :required - true | false . Defaults to the require_all_fields option. :internal - true | false . If true , this field is meant to be used internally. If true , the required option will be set to false and the field will be hidden from documentation. :description - Documentation for the field.","ref":"Cqrs.Command.html#field/3","title":"Cqrs.Command.field/3","type":"macro"},{"doc":"This callback is intended to be used to run the fully validated command. This callback is required.","ref":"Cqrs.Command.html#c:handle_dispatch/2","title":"Cqrs.Command.handle_dispatch/2","type":"callback"},{"doc":"Allows one to define any custom data validation aside from casting and requiring fields. This callback is optional. Invoked when the new() or new!() function is called.","ref":"Cqrs.Command.html#c:handle_validate/2","title":"Cqrs.Command.handle_validate/2","type":"callback"},{"doc":"The same as field/3 but sets the option internal to true . This helps with readability of commands with a large number of fields.","ref":"Cqrs.Command.html#internal_field/3","title":"Cqrs.Command.internal_field/3","type":"macro"},{"doc":"Describes a supported option for this command. Options :default - this default value if the option is not provided. :description - The documentation for this option.","ref":"Cqrs.Command.html#option/3","title":"Cqrs.Command.option/3","type":"macro"},{"doc":"","ref":"Cqrs.Command.html#t:command/0","title":"Cqrs.Command.command/0","type":"type"},{"doc":"Defines validation functions for a validated command. Example defmodule CreateUser do use Cqrs.Command alias Cqrs.CommandValidation field :email , :string field :name , :string field :id , :binary_id , internal : true derive_event UserCreated @impl true def handle_validate ( command , _opts ) do Ecto.Changeset . validate_format ( command , :email , ~r/@/ ) end @impl true def after_validate ( %{ email : email } = command ) do Map . put ( command , :id , UUID . uuid5 ( :oid , email ) ) end @impl true def before_dispatch ( command , _opts ) do command |&gt; CommandValidation . new ( ) |&gt; CommandValidation . add ( &amp; ensure_uniqueness / 1 ) |&gt; CommandValidation . run ( ) end @impl true def handle_dispatch ( _command , _opts ) do { :ok , :dispatched } end defp ensure_uniqueness ( %{ id : id } ) do if Repo . exists? ( from u in User , where : u . id == ^ id ) , do : { :error , &quot;user already exists&quot; } , else : :ok end end","ref":"Cqrs.CommandValidation.html","title":"Cqrs.CommandValidation","type":"module"},{"doc":"Adds a validation_function to the list of validations to run.","ref":"Cqrs.CommandValidation.html#add/2","title":"Cqrs.CommandValidation.add/2","type":"function"},{"doc":"Creates a new Cqrs.CommandValidation struct.","ref":"Cqrs.CommandValidation.html#new/1","title":"Cqrs.CommandValidation.new/1","type":"function"},{"doc":"Runs the list of 'validation_function' functions","ref":"Cqrs.CommandValidation.html#run/2","title":"Cqrs.CommandValidation.run/2","type":"function"},{"doc":"","ref":"Cqrs.CommandValidation.html#t:command/0","title":"Cqrs.CommandValidation.command/0","type":"type"},{"doc":"","ref":"Cqrs.CommandValidation.html#t:t/0","title":"Cqrs.CommandValidation.t/0","type":"type"},{"doc":"","ref":"Cqrs.CommandValidation.html#t:validation_function/0","title":"Cqrs.CommandValidation.validation_function/0","type":"type"},{"doc":"Defines a new domain event struct Options :from optional - a struct to derive fields from. :with optional - a list of atom field names to add. :drop optional - a list of atom field names to remove from any field derived from the struct in the :from option. :version optional - a version value. Defaults to 1 Example defmodule DeleteUser do use Cqrs.Command field :id , :integer def handle_dispatch ( command , _opts ) do { :ok , :no_impl } end end defmodule UserDeleted do use Cqrs.DomainEvent , from : DeleteUser , with : [ :from ] , version : 2 end iex&gt; cmd = DeleteUser . new! ( id : 668 ) ...&gt; event = UserDeleted . new ( cmd , from : &quot;chris&quot; ) ...&gt; %{ id : event . id , from : event . from , version : event . version } %{ id : 668 , from : &quot;chris&quot; , version : 2 }","ref":"Cqrs.DomainEvent.html","title":"Cqrs.DomainEvent","type":"module"},{"doc":"Defines a query and any filters. Options require_all_filters - If true , all filters will be required. Defaults to false Examples defmodule GetUser do use Cqrs.Query alias Cqrs.QueryTest.User filter :email , :string , required : true binding :user , User option :exists? , :boolean , default : false , description : &quot;If `true`, only check if the user exists.&quot; @impl true def handle_validate ( filters , _opts ) do Changeset . validate_format ( filters , :email , ~r/@/ ) end @impl true def handle_create ( [ email : email ] , _opts ) do from u in User , as : :user , where : u . email == ^ email end @impl true def handle_execute ( query , opts ) do case Keyword . get ( opts , :exists? ) do true -&gt; Repo . exists? ( query , opts ) false -&gt; Repo . one ( query , opts ) end end end Creation iex&gt; GetUser . new! ( ) ** (Cqrs.QueryError) email can&#39;t be blank iex&gt; GetUser . new! ( email : &quot;wrong&quot; ) ** (Cqrs.QueryError) email has invalid format iex&gt; { :error , errors } = GetUser . new ( ) ...&gt; errors %{ email : [ &quot;can&#39;t be blank&quot; ] } iex&gt; { :error , errors } = GetUser . new ( email : &quot;wrong&quot; ) ...&gt; errors %{ email : [ &quot;has invalid format&quot; ] } iex&gt; { :ok , query } = GetUser . new ( email : &quot;chris@example.com&quot; ) ...&gt; query # Ecto.Query &lt; from u0 in User , where : u0 . email == ^ &quot;chris@example.com&quot; &gt; Execution iex&gt; { :ok , user } = ...&gt; GetUser . new ( email : &quot;chris@example.com&quot; ) ...&gt; |&gt; GetUser . execute ( ) ...&gt; %{ id : user . id , email : user . email } %{ id : &quot;052c1984-74c9-522f-858f-f04f1d4cc786&quot; , email : &quot;chris@example.com&quot; }","ref":"Cqrs.Query.html","title":"Cqrs.Query","type":"behaviour"},{"doc":"","ref":"Cqrs.Query.html#binding/2","title":"Cqrs.Query.binding/2","type":"macro"},{"doc":"Defines a Query filter. :name - any atom :type - any valid Ecto Schema type :opts - any valid Ecto Schema field options. Plus: :required - true | false . Defaults to the require_all_filters option. :description - Documentation for the field.","ref":"Cqrs.Query.html#filter/3","title":"Cqrs.Query.filter/3","type":"macro"},{"doc":"","ref":"Cqrs.Query.html#c:handle_create/2","title":"Cqrs.Query.handle_create/2","type":"callback"},{"doc":"","ref":"Cqrs.Query.html#c:handle_execute/2","title":"Cqrs.Query.handle_execute/2","type":"callback"},{"doc":"","ref":"Cqrs.Query.html#c:handle_execute!/2","title":"Cqrs.Query.handle_execute!/2","type":"callback"},{"doc":"","ref":"Cqrs.Query.html#c:handle_validate/2","title":"Cqrs.Query.handle_validate/2","type":"callback"},{"doc":"Describes a supported option for this query. Options :default - this default value if the option is not provided. :description - The documentation for this option.","ref":"Cqrs.Query.html#option/3","title":"Cqrs.Query.option/3","type":"macro"},{"doc":"","ref":"Cqrs.Query.html#t:filters/0","title":"Cqrs.Query.filters/0","type":"type"},{"doc":"","ref":"Cqrs.Query.html#t:opts/0","title":"Cqrs.Query.opts/0","type":"type"},{"doc":"","ref":"Cqrs.Query.html#t:query/0","title":"Cqrs.Query.query/0","type":"type"},{"doc":"","ref":"Cqrs.Absinthe.EnumTypeMappingError.html","title":"Cqrs.Absinthe.EnumTypeMappingError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.Absinthe.EnumTypeMappingError.html#message/1","title":"Cqrs.Absinthe.EnumTypeMappingError.message/1","type":"function"},{"doc":"","ref":"Cqrs.Absinthe.InvalidEnumError.html","title":"Cqrs.Absinthe.InvalidEnumError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.Absinthe.InvalidEnumError.html#message/1","title":"Cqrs.Absinthe.InvalidEnumError.message/1","type":"function"},{"doc":"","ref":"Cqrs.Absinthe.InvalidEnumSourceError.html","title":"Cqrs.Absinthe.InvalidEnumSourceError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.Absinthe.InvalidEnumSourceError.html#message/1","title":"Cqrs.Absinthe.InvalidEnumSourceError.message/1","type":"function"},{"doc":"","ref":"Cqrs.Absinthe.InvalidMiddlewareFunction.html","title":"Cqrs.Absinthe.InvalidMiddlewareFunction","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.Absinthe.InvalidMiddlewareFunction.html#message/1","title":"Cqrs.Absinthe.InvalidMiddlewareFunction.message/1","type":"function"},{"doc":"","ref":"Cqrs.Absinthe.MapTypeMappingError.html","title":"Cqrs.Absinthe.MapTypeMappingError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.Absinthe.MapTypeMappingError.html#message/1","title":"Cqrs.Absinthe.MapTypeMappingError.message/1","type":"function"},{"doc":"","ref":"Cqrs.CommandError.html","title":"Cqrs.CommandError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.CommandError.html#message/1","title":"Cqrs.CommandError.message/1","type":"function"},{"doc":"","ref":"Cqrs.InvalidCommandError.html","title":"Cqrs.InvalidCommandError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.InvalidCommandError.html#message/1","title":"Cqrs.InvalidCommandError.message/1","type":"function"},{"doc":"","ref":"Cqrs.InvalidDispatcherError.html","title":"Cqrs.InvalidDispatcherError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.InvalidDispatcherError.html#message/1","title":"Cqrs.InvalidDispatcherError.message/1","type":"function"},{"doc":"","ref":"Cqrs.InvalidQueryError.html","title":"Cqrs.InvalidQueryError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.InvalidQueryError.html#message/1","title":"Cqrs.InvalidQueryError.message/1","type":"function"},{"doc":"","ref":"Cqrs.InvalidRouterError.html","title":"Cqrs.InvalidRouterError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.InvalidRouterError.html#message/1","title":"Cqrs.InvalidRouterError.message/1","type":"function"},{"doc":"","ref":"Cqrs.InvalidValuesError.html","title":"Cqrs.InvalidValuesError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.InvalidValuesError.html#message/1","title":"Cqrs.InvalidValuesError.message/1","type":"function"},{"doc":"","ref":"Cqrs.QueryError.html","title":"Cqrs.QueryError","type":"exception"},{"doc":"Callback implementation for Exception.message/1 .","ref":"Cqrs.QueryError.html#message/1","title":"Cqrs.QueryError.message/1","type":"function"}]